<?php

namespace App\JsonRpc;

interface WebsiteServiceInterface
{
    /**
     * @param array $data
     */
    public function getWebsitetList(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function createWebsite(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function updateWebsite(int $id, array $data): array;

    /**
     * @param int $id
     * @return array
     */
    public function delWebsite(int $id): array;

    /**
     * @param int $id
     * @return array
     */
    public function getWebsiteInfo(int $id): array;

    public function getWebsiteColumn(array $data): array;
    public function getWebsiteColumnList(array $data): array;
    public function createWebsiteColumn(array $data): array;
    public function updateWebsiteColumn(int $id, array $data): array;
    public function getWebsiteRoleList(string $keyword, int $page, int $pageSize, int $websiteId): array;
    public function createWebsiteRole(array $data): array;
    public function updateWebsiteRole(int $id, array $data): array;
    public function delWebsiteRole(int $id): array;
    public function getWebsiteRoleUserList(string $keyword, int $page, int $pageSize, int $websiteId, int $roleId): array;
    public function createWebsiteRoleUser(array $data): array;
    public function updateWebsiteRoleUser(int $id, array $data): array;
    public function delWebsiteRoleUser(int $id): array;
    public function getWebsiteId(array $data): array;

    public function getWebsiteCategory(array $data): array;

    public function getWebsiteAdvertisement(array $data): array;
    
    public function selectWebsiteDepartment(array $data): array;


    public function selectWebsiteArea(array $data): array;

    public function getWebsiteModelCategory(array $data): array;

    public function selectWebsiteLinks(array $data): array;


    public function getAdminIndex(array $data): array;
    public function getTemplateClass(array $data): array;
    public function addTemplateClass(array $data): array;
    public function upTemplateClass(array $data): array;
    public function delTemplateClass(array $data): array;
    public function getTemplate(array $data): array;
    public function addTemplate(array $data): array;
    public function upTemplate(array $data): array;
    public function delTemplate(array $data): array;
    public function websiteList(array $data): array;
    public function addWebsiteCategory(array $data): array;
    public function delWebsiteCategory(array $data): array;
    public function getAdminWebsiteCategory(array $data): array;
    public function upWebsiteCategory(array $data): array;
    public function getWebsiteCategoryList(array $data): array;

    public function delWebsiteAllCategory(array $data): array;
    public function getWebsiteCategoryOnes(array $data): array;
    public function upWebsiteCategoryones(array $data): array;
    public function getWebsiteAllCategory(array $data): array;
    //20250212  网站标识
    public function addWebsiteGroup(array $data): array;
    public function getWebsiteGroupList(array $data): array;
    public function deleteWebsiteGroup(array $data): array;
    public function getWebsiteGroupInfo(array $data): array;
    public function updateWebsiteGroup(array $data): array;
    public function getWebsiteNavList(array $data): array;



    public function getWebsiteFootInfo(array $data): array;
    public function getWebsiteFooterCategory(array $data): array;
    public function getWebsiteFooterCategoryList(array $data): array;
    public function getWebsiteFooterCategoryInfo(array $data): array;
    public function selectWebsiteCategory(array $data): array;
    public function getWebsiteCategoryHead(array $data): array;

    public function getOneWebsiteCategory(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function getAllCategory(array $data): array;

    /**
     * 修改网站栏目排序
     * @param array $data
     * @return array
     */
    public function upWebsiteCategorySort(array $data): array;
}
